<?php
$theme_helper = $this->helper('Olegnax\Athlete2\Helper\Helper');
$at_settings = $block->getConfig('athlete2_settings');
$header_classes = 'header--layout-1';
$menu_position	 = $at_settings['header']['menu_position'];
$sticky_header	 = $at_settings['header']['sticky_header'];
$header_classes .= ' header__menu--position-' . $menu_position;
$show_toplinks = $at_settings['header']['show_top_links'];
$disable_topline = $at_settings['header']['disable_topline'];
$topline_block_left = $theme_helper->getBlockTemplateProcessor( $at_settings['header']['top_left_static'] );
$topline_block_right = $theme_helper->getBlockTemplateProcessor( $at_settings['header']['top_right_static'] );
if( $at_settings['header']['header_fullwidth'] ) {
	$header_classes .= ' header--full-width';
}
$toggleNavText = $at_settings['mobile_header']['mobile_header_menu_text'];
if( $toggleNavText ) {
	$toggleNavText = '<span>' . $block->escapeHtml($toggleNavText) . '</span>';	
}
$sticky_allowed = $block->getData("sticky_allowed");
$search_below_mobile = $at_settings['mobile_header']['search_mobile_below'];
if($search_below_mobile){
	$header_classes .= ' mobile-search--below';
}
?>
<div class="page-header <?php echo $block->escapeHtmlAttr($header_classes) ?>"<?php if( $sticky_header && $sticky_allowed!= 'no') { echo ' data-role="OXsticky" data-mage-init=\'{"OXsticky":{}}\''; } ?>>
	<div class="sticky-wrapper">
	<div class="container">
		<div class="row">
			<div class="logo__container">
					<?php echo $this->getChildHtml( "logo" ); ?>
			</div>
			<div class="col header__content-wrapper">
				<?php if( ! $disable_topline ){ ?>
					<?php echo $this->getChildHtml( 'athlete2_topline' ); ?>
				<?php } ?>
				<div class="header__content flex-row search-visible">
					<div class="flex-left flex-row modal__left" data-move-mobile="header.main.left" data-move-sticky="header.main.left">
						<div data-action="toggle-mobile-nav" class="action slide-out-menu--mobile"><div class="hamburger-menu-icon-small" aria-label="<?= $block->escapeHtml(__('Menu')) ?>"><span></span><span></span><span></span></div><?= $toggleNavText ?></div>
						<?php if ( $menu_position == 1 ) echo $this->getChildHtml( 'top.menu' ); ?>
						<?php if ( $menu_position == 2 ) : ?>
							<div class="header__additional-content">
								<?php echo $block->getLayout()->createBlock( 'Magento\Cms\Block\Block' )->setBlockId( 'athlete2-header-text' )->toHtml(); ?>
							</div>
						<?php endif ?>
					</div>
					<div class="flex-right flex-row modal__right" data-move-mobile="header.main.right" data-move-sticky="header.main.right">
						<?php echo $this->getChildHtml( 'top.search' ) ?>
						<?php
							if($at_settings['header']['account_position'] == 'main') {
								echo $this->getChildHtml("header_account");
							}
							if($at_settings['header']['compare_position'] == 'main') {
								echo $this->getChildHtml("header_compare");
							}
							if($at_settings['header']['wishlist_position'] == 'main') {
								echo $this->getChildHtml("header_wishlist");
							}
							if($theme_helper->isActivePlugin( 'Amasty_RequestQuote' )){
								echo $this->getChildHtml( 'quotecart' );
							}
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php if ( $menu_position == 2 ) : ?>
		<div class="header-nav-wide"><?php echo $this->getChildHtml( 'top.menu' );  ?></div>
	<?php endif ?>
	<?php if ( $search_below_mobile ) : ?>
		<div class="header__search-below block-search hide-on-desktop"><?php echo $this->getChildHtml( 'top.search.panel.mobile' );  ?></div>
	<?php endif ?>
</div>
</div>